
<section id="wrapper" class="login-register">
    <div class="login-box login-sidebar">
        <div class="white-box">
            <form class="form-horizontal form-material" id="loginform" >

                <a href="javascript:void(0)" class="text-center db"><img src="plugins/images/nemesiLogo2.png" alt="Home" /><br/></a>

                <div class="form-group m-t-40">
                    <div class="col-xs-12">
                        <input id="login-username" class="form-control" type="text"  required="" placeholder="Enter account Mail">
                    </div>
                </div>

                <div class="form-group text-center m-t-20">
                    <div class="col-xs-12">
                        <button id="login_btn" class="btn btn-info btn-lg btn-block text-uppercase waves-effect waves-light" type="submit">Send Password</button>
                        <button id="backHome" style='display:none' class="btn btn-info btn-lg btn-block text-uppercase waves-effect waves-light" type="submit">Torna a login</button>
                    </div>
                </div>


            </form>

        </div>
    </div>
</section>

<!--<script src="js/app/routes/login.js" type="text/javascript"></script>-->


<script type="text/javascript">

    $(document).ready(function() {
        $.toast({
            heading: 'Cambio Password',
            text: 'inserire la propria e-mail per ricevere la mail per il cambio della password',
            position: 'top-left',
            loaderBg:'#ff6849',
            icon: 'info',
            hideAfter: 3500,

            stack: 6
        });
        $("#module").on("click","#backHome", function (e){
            e.preventDefault();
            whereigo = 'index.html';
            $.router.navigate(whereigo);
        })
        $("#login_btn").on("click", function (e){
            e.preventDefault();
            console.log ($("#login-username").val());
            if ($("#login-username").val()){

                var req = $.DataAccess.retrieveMail({"email" : $("#login-username").val()});
                req.success(function (json) {
                    $.toast({
                        heading: "<h3 style='color:white; text-transform: uppercase'>Cambio password</h3>",
                        text: 'Mail Inviata',
                        position: 'top-left',
                        loaderBg:'#ff6849',
                        icon: 'info',
                        hideAfter: 3500,
                        stack: 6
                    })
                    console.log (json);
                    $("#login_btn").hide();
                    $("#backHome").show();


                });
            }
            else $.toast({
                heading: "<h3 style='color:white; text-transform: uppercase'>Cambio password</h3>",
                text: 'Per favore inserisci la tua mail',
                position: 'top-left',
                loaderBg:'#ff6849',
                icon: 'warning',
                hideAfter: 3500,
                stack: 6
            })
        })


    });
</script>